Bug 92155 - Docx import broken - part of document with tables/frames not shown
Summary: Docx import broken - part of document with tables/frames not shown
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest
Depends on:
Blocks:
 
Reported: 2015-06-18 12:51 UTC by Cor Nouws
Modified: 2016-07-04 13:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screen shot of both applications with file (137.73 KB, image/png)
2015-06-18 12:53 UTC, Cor Nouws
Details
test file with tables/frames not shown (104.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-01-05 13:17 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-06-18 12:51:16 UTC
Importing a document from Dutch government site
 /home/cono/Documenten/DATA/Nou&Off/Projecten/VluchtelingenWerk Nederland/MigratieLibreOffice/TestDocumenten/port_'Onafhankelijke_casemanager_in_de_vreemdelingenketen._Perspectieven_vanuit_het_buitenland'.docx

Opening in Still 3.7.2 doesn't show most of the content.
Opening in Fresh 4.4.4.2 does show the full content.

(In e.g. 4.0.6 the first page layout was crap, but the content was presented - in a separate section..)

I'll attach a screen shot.
Comment 1 Cor Nouws 2015-06-18 12:53:47 UTC
Created attachment 116624 [details]
screen shot of both applications with file
Comment 2 tommy27 2015-06-18 19:54:47 UTC
@Cor
please provide a new link to download the file so we can retest.
Comment 3 tommy27 2015-06-18 20:08:48 UTC
(In reply to Cor Nouws from comment #0)
> ...
> 
> Opening in Still 3.7.2 doesn't show most of the content.
> Opening in Fresh 4.4.4.2 does show the full content.
> 
>...

so 4.3.7.2 doesn't work while 4.4.4.2 does a nice job?
if it's like that (and not the opposite) it should be a RESOLVED WORKSFORME issue or am I missing something?
Comment 5 Cor Nouws 2015-06-19 06:28:22 UTC
(In reply to tommy27 from comment #3)

> so 4.3.7.2 doesn't work while 4.4.4.2 does a nice job?
> if it's like that (and not the opposite) it should be a RESOLVED WORKSFORME
> issue or am I missing something?

Héhé ;)
If it's possible to have it bibisected, to where in 4.4 line problem disappears, that would be great!
Thanks,
Cor
Comment 6 tommy27 2015-06-19 07:46:50 UTC
Ok, I set status to WFM but I add bibisectRequest to whiteboard in case someone wants to try identifying the fixing committ

however since 4.3.x is EOL there's no chance to backport to older branches
Comment 7 Cor Nouws 2015-06-24 13:37:56 UTC
I can see that it opens OK in Version: 4.4.0.0.beta1
Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: nl_NL

and bad in Version: 4.4.0.0.alpha2
Build ID: 24f0a5815f581dd9a7f09d30213a379edee6e9ac

Bibisecting however is not possible on 32 bits Ubuntu, so I rely on someone else to do that..
Comment 8 Cor Nouws 2015-06-24 13:43:23 UTC
So if it were work on filter by vmiklos, all commits that could be related should be in this list:
http://cgit.freedesktop.org/libreoffice/core/log/?id=9af3d21234aa89dac653c0bd76648188cdeb683e&qt=author&q=vmiklos
Comment 9 Cor Nouws 2015-06-25 05:19:25 UTC
(In reply to tommy27 from comment #6)

> however since 4.3.x is EOL there's no chance to backport to older branches

Since this affects LibreOffice-from-Collabora, as per discussion on the QA list, I keep this issue open and add Andras in cc.
Comment 10 Matthew Francis 2015-08-12 10:51:51 UTC
The file at the end of the link in comment 4 downloads as a PDF. Is this bug about PDF import, or is there an actual .docx version as well? If the former the description of the bug should be changed, if the latter we'd need to see the original file to investigate properly.

Setting Status -> NEEDINFO. Please set back to NEW when the requested information has been provided.

Thanks
Comment 11 Robinson Tryon (qubit) 2015-12-14 05:32:33 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]
Comment 12 Cor Nouws 2016-01-05 13:16:15 UTC
(In reply to Matthew Francis from comment #10)
> The file at the end of the link in comment 4 downloads as a PDF. Is this bug
> about PDF import, or is there an actual .docx version as well? 

It ís about DOCX. (Our government changed the content of the website :) )

Will attach the original file that I have.
But note: to test compare 4.0.x and 4.4.x
In 5.x it will not open (see bug 92157)
Comment 13 Cor Nouws 2016-01-05 13:17:37 UTC
Created attachment 121730 [details]
test file with tables/frames not shown
Comment 14 Cor Nouws 2016-06-20 12:26:07 UTC
The import in 5.2.x is much better.
5.0 / 5.1 fail because of bug 92157 (see comment #12)

Close this one as WorksForMe
Will open new issue(s) with remaining details for the orig file (from comment #13)
Comment 15 Cor Nouws 2016-06-20 12:26:35 UTC
Hello; come on ;)
Comment 16 Cor Nouws 2016-06-21 17:16:33 UTC
(In reply to Cor Nouws from comment #14)

> Will open new issue(s) with remaining details for the orig file (from
> comment #13)

I've created bug 100514, bug 100515, bug 100516, bug 100524, bug 100525, bug 100526 for the remaining problems.
Comment 17 Cor Nouws 2016-07-04 13:01:43 UTC
(In reply to Cor Nouws from comment #16)

> I've created bug 100514, bug 100515, bug 100516, bug 100524, bug 100525, bug
> 100526 for the remaining problems.

Should be bug 100513, bug 100514, bug 100516 etc